using OpenQA.Selenium;

namespace ESuite.UI.E2E.Pages
{
    public class AddGlossariesPage
    {

        // Page elements
        public static By PrintSpecificationFormTemplateFieldSelector => By.Id("customfield_1");
        public static By CustomFieldsSelector => By.CssSelector("select#customField");
        public static By PlusButton => By.CssSelector("button.btn-primary:not([disabled]) .fa-plus");
        public static By SearchGlossaryNameInTable(string? name) => By.XPath($"//table[contains(@class,'table-bordered')]//a[text()='{name}']");

        public static By FormSelector => By.XPath("//select[@class='form-control'][text()='TestCF_formT']");

        // Page actions

    }
}